# eric6.UI.DiffHighlighter

Module implementing a syntax highlighter for unified and context diff outputs.

### Global Attributes

None

### Classes

DiffHighlighter | Class implementing a diff highlighter for Git.

### Functions

None

## DiffHighlighter

Class implementing a diff highlighter for Git.

### Derived from

E5GenericDiffHighlighter

### Class Attributes

None

### Class Methods

None

### Methods

DiffHighlighter | Constructor
generateRules | Public method to generate the rule set.

### Static Methods

None

#### DiffHighlighter (Constructor)

DiffHighlighter(doc)

Constructor

doc
  reference to the text document (QTextDocument)

#### DiffHighlighter.generateRules

generateRules()

Public method to generate the rule set.

Up